import command.Command;
import command.CommandInit;
import org.apache.commons.io.FileUtils;
import org.eclipse.jgit.api.Git;
import org.eclipse.jgit.api.errors.GitAPIException;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

class CommandInitTest {

    Path dir;

    @BeforeAll
    void setup() throws IOException, GitAPIException {
        dir = Files.createTempDirectory("commandInitTestRepo");
        Git git = Git.init().setDirectory(new File(String.valueOf(dir))).call();

        Runtime.getRuntime().addShutdownHook(new Thread(() -> {
            try {
                FileUtils.deleteDirectory(dir.toFile());
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }));
    }

    @Test
    void testCreateBranch() {
        Command init = new CommandInit();
        init.execute();

    }

}